查詢任務狀態請參考輪詢指南。這個 API 需要 3 個關鍵參數:輸入圖片、支點與輸出圖片。
安全
BearerAuthenticationV2
Any of:
AI 擴圖 API 需要 3 個關鍵參數才能運作:輸入圖片、支點與輸出圖片。輸出圖片的尺寸必須永遠大於輸入圖片的尺寸。
來源照片寬度,input_x + input_width 必須 <= output_width。值範圍:[1 - 4096]
示例:480
來源照片高度,input_y + input_height 必須 <= output_height。值範圍:[1 - 4096]
示例:640
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/out-paint
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/out-paint \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"output_width": 960,
"output_height": 1280,
"input_x": 240,
"input_y": 320,
"input_width": 480,
"input_height": 640,
"crop_input_x": 0,
"crop_input_y": 0,
"crop_input_width": 480,
"crop_input_height": 640
}'响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }